Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.actions
Class JBpmCallback

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.actions.JBpmCallback

All Implemented Interfaces:
  ActionLifecycle

    public class JBpmCallback

extends java.lang.Object
implements ActionLifecycle

Author:
  Kurt Stam

Field Summary
`protected ConfigTree` | `configTree`
`static java.lang.String` | `JBPM_CALL_BACK_SERVICE_NAME`

Constructor Summary
`JBpmCallback(ConfigTree configTree)`

Method Summary
`void` | `destroy()` Destroy the action instance.
`void` | `initialise()` Initialise the action instance.
`Message` | `process(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JBPM_CALL_BACK_SERVICE_NAME

    public static final java.lang.String JBPM_CALL_BACK_SERVICE_NAME

See Also:
  Constant Field Values

### configTree

    protected ConfigTree configTree

Constructor Detail

### JBpmCallback

    public JBpmCallback(ConfigTree configTree)
                 throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### destroy

    public void destroy()
                 throws ActionLifecycleException

  Description copied from interface: `ActionLifecycle`
  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Specified by:
    `destroy` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException`

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Description copied from interface: `ActionLifecycle`
  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

### process

    public Message process(Message message)
                    throws ConfigurationException

  Parameters:
    `message` -
  Returns:
  Throws:
    `ActionProcessingException`
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD